opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cv::MatAllocator Class Referenceabstract

`#include <core.hpp>`

## Public Member Functions

virtual void | allocate (int dims, const int *sizes, int type, int *&refcount, uchar *&datastart, uchar *&data, size_t *step)=0
virtual void | deallocate (int *refcount, uchar *datastart, uchar *data)=0
| MatAllocator ()
virtual | ~MatAllocator ()

## Detailed Description

Custom array allocator

## Constructor & Destructor Documentation

cv::MatAllocator::MatAllocator | ( |  | ) |

inline

virtual cv::MatAllocator::~MatAllocator | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void cv::MatAllocator::allocate | ( | int | dims,
|  | const int * | sizes,
|  | int | type,
|  | int *& | refcount,
|  | uchar *& | datastart,
|  | uchar *& | data,
|  | size_t * | step
| ) |  |

pure virtual

virtual void cv::MatAllocator::deallocate | ( | int * | refcount,
|  | uchar * | datastart,
|  | uchar * | data
| ) |  |

pure virtual

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp